.pokemon {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  width: 50%;
  min-width: 500px;
  max-height: 600px;
  margin-right: 20px;
}

.pokemon > .name-container {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 50px;
  width: 50%;
  color: white;
  min-width: 300px;
  background: #fbab6d;
  border-radius: 15px;
  margin-bottom: 20px;
}

.stats {
  margin: 0;
  padding: 0;

  width: 100%;
  height: calc(100% - 60px);
  align-items: center;
  display: inline-grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  list-style-type: none;
}
.stat {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
  text-align: center;
}

.stat-title {
  font-size: medium;
}

.stat-data {
  font-size: x-large;
}

.others-text-container {
  z-index: 2;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
  width: 30%;
  z-index: 0;
  padding: 5px;
}

.others-text-container > span {
  z-index: 2;
  color: white;
  font-size: 30px;
}

.pokemon-grid-container {
  padding: 20px;
  z-index: 2;
  overflow-y: auto;
  height: 100%;
  position: relative;
  display: inline-grid;
  grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
  gap: 1rem;
  text-align: center;
  align-items: center;
}

.pokemon > img {
  display: block;
  width: 60%;
  max-width: 600px;
  min-width: 180px;
  height: auto;
}

.name-container > img {
  display: block;
  width: 50%;
  height: auto;
  max-width: 40px;
  margin-right: 5px;
}

.pokemon-info-card {
  background: azure;
  border-radius: 25px;
  height: 70%;
  width: 400px;
  box-shadow: 0 0 50px rgb(0, 0, 0);
}

.grow {
  transition: 0.2s ease;
}

@media (hover: hover) {
  .grow:hover {
    z-index: 3;

    transform: scale(1.1);
    transition: 0.2s ease;
  }

  .pokemon > img:hover {
    filter: drop-shadow(16px 16px 10px rgba(0, 0, 0, 0.466));
    z-index: 3;

    transform: scale(1.1);
    transition: 0.2s ease;
  }
}

.single-pokemon:active {
  transform: scale(0.8);
  box-shadow: 3px 2px 22px 1px rgba(0, 0, 0, 0.24);
}

.single-pokemon {
  display: flex;
  justify-content: center;
  align-items: center;
  background: rgb(153, 211, 120);
  border-radius: 25px;
  height: auto;
  min-width: 100px;
}

.single-pokemon > img {
  display: block;
  width: 50%;
  height: auto;
}

#pikachu {
  background: #f0d57f;
}

#dugtrio {
  background: #baa396;
}

#nidorino {
  background: #af8eac;
}

#graveler {
  background: #b8b7ac;
}

@media only screen and (max-width: 980px) {
  .stats {
    padding-top: 60px;
  }

  .stat {
    flex-direction: row;
    justify-content: space-around;
  }
  .pokemon {
    position: absolute;

    min-width: 340px;
    max-width: 340px;
    margin-right: 0;
    z-index: 1;
    top: 20px;
  }
  .pokemon-info-card {
    width: 399px;
    margin-top: 200px;
  }

  .stat-title {
    font-size: x-large;
  }

  .stat-data {
    font-size: medium;
  }
}

@media only screen and (max-height: 600px) and (max-width: 1000px) {
  .pokemon-info-card {
    margin-top: 200px;
    height: 60%;
  }
}
